--- title: "ReissueCertificate" slug: "security-certificatemanager-reissuecertificate" updated: 2026-10-08T04:18:27Z published: 2026-10-08T04:18:27Z canonical: "api.ncloud-docs.com/security-certificatemanager-reissuecertificate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # ReissueCertificate Available in Classic and VPC Reissue Advanced DV and Advanced OV certificates. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/certificate/{certificateNo}/reissue | ### Request headers For information about the request headers common to all Certificate Manager APIs, see [Certificate Manager request headers](/docs/en/security-certificatemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `certificateNo` | Integer | Required | Certificate number | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `csr` | String | Required | Certificate Signing Request (CSR) | | `certificateName` | String | Required | Certificate name | | `commonName` | String | Required | Domain to be included in the certificate CN (Common Name) | | `dnsName` | Array | Optional | List of domains to be included in the certificate SAN (Subject Alternative Name) | | `validationMethod` | String | Required | Certificate domain control (DCV) validation method - `D`: Validation method using DNS CNAME records | ### Request example The request example is as follows: ``` curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/55882/reissue' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'accept: application/json' \ --data '{ "csr":"-----BEGIN CERTIFICATE REQUEST-----CCAUICAQAwFT...HzV1ht+BbMeZlD\n-----END CERTIFICATE REQUEST-----\n", "certificateName": "ncloudcertificate", "commonName": "*.ncloud.com", "dnsName": ["ncloud.com", "ncloud-docs.com"], "validationMethod":"D" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | - | Response code | | `returnMessage` | String | - | Response message | | `totalRows` | Integer | - | Total number of lists searched | ### Response status codes For information about the response status codes common to all Certificate Manager APIs, see [Certificate Manager response status codes](/docs/en/security-certificatemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "Certificate reissuance has been completed.", "totalRows": 0 } ```